commit 3b2d3aabb45784191833b3db76a163ea94e7774a
Author: Segher Boessenkool <segher@kernel.crashing.org>
Date:   Thu Apr 21 18:32:48 2022 +0000

    rs6000: Add effective target has_arch_ppc64
    
    This is true if we have -mpowerpc64.
    
    2022-04-21  Segher Boessenkool  <segher@kernel.crashing.org>
    
    gcc/testsuite/
            * lib/target-supports.exp (check_effective_target_has_arch_ppc64): New.
    
    (cherry picked from commit fc9deca632c2eb246c54cfd13cb616bf3fcbd21a)

diff --git a/gcc/testsuite/lib/target-supports.exp b/gcc/testsuite/lib/target-supports.exp
index 1aa64a5a6bd..138138c6584 100644
--- a/gcc/testsuite/lib/target-supports.exp
+++ b/gcc/testsuite/lib/target-supports.exp
@@ -5912,6 +5912,16 @@ proc check_effective_target_has_arch_pwr9 { } {
 	}]
 }
 
+proc check_effective_target_has_arch_ppc64 { } {
+	return [check_no_compiler_messages arch_ppc64 assembly {
+		#ifndef _ARCH_PPC64
+		#error does not have ppc64 support.
+		#else
+		/* "has ppc64 support" */
+		#endif
+	}]
+}
+
 # Return 1 if this is a PowerPC target supporting -mcpu=power10.
 # Limit this to 64-bit linux systems for now until other targets support
 # power10.

